<html>
 <head>
  <title>PHP Sample Home Move Booking</title>
 </head>
 <body>
  <p>Booking Sample</p>
<?php

  $ini = parse_ini_file("configuration.ini");

  //Web Service is protected by BASIC authentication - odfl4me username and password are required
	//note code below is sample code only - we recommend you keep your authentication information secure
	//401 unauthorized error means username or password were invalid
	//403 forbidden means the odfl4me user does not have access to bol portions of the site

	$optionsArray=array('login'=>$ini['username'],'password'=>$ini['password']);	//fill in with your credentials
	$soapClient = new SoapClient($ini['wsdlUrl'],$optionsArray);
  //$optionsArray=array('login'=>'sandi2','password'=>'sandi3');  //fill in with your credentials
  //$soapClient = new SoapClient("https://www.odfl.com/wsODMove_v2/ODMoveService/WEB-INF/wsdl/ODMoveService.wsdl",$optionsArray);

  //Fill in request fields
  
  $params = new stdClass();
  $params->arg0 = new stdClass();

  $billingAddress = new stdClass();
  $billingAddress->address1 = 'bill to addr1';	
  $billingAddress->address2 = '';
  $billingAddress->city = 'Mclean';
  $billingAddress->country = 'USA';
  $billingAddress->name = 'bill to name';
  $billingAddress->postalCode = '22102';
  $billingAddress->state = 'VA';
  
  $destinationAddress = new stdClass();
  $destinationAddress->address1 = 'bill to addr1';
  $destinationAddress->address2 = '';
  $destinationAddress->city = 'Beverly Hills';
  $destinationAddress->country = 'USA';
  $destinationAddress->name = 'dest name';
  $destinationAddress->postalCode = '90210';
  $destinationAddress->state = 'CA';
  
  $originAddress = new stdClass();
  $originAddress->address1 = 'org addr1';
  $originAddress->address2 = 'org addr2';
  $originAddress->city = 'Thomasville';
  $originAddress->country = 'USA';
  $originAddress->name = 'org name';
  $originAddress->postalCode = '27360';
  $originAddress->state = 'NC';

  $params->arg0->billingAddress = $billingAddress;
  $params->arg0->destinationAddress = $destinationAddress;
  $params->arg0->originAddress = $originAddress;
  
  $params->arg0->billingPhone1 = '1234567890';
  $params->arg0->billingPhone2 = '9876543210'; 
  
  $params->arg0->email = '';		//email used on quote
  $params->arg0->paymentType = 'MO';    //CK for cashiers check, MO for money order
  $params->arg0->couponCode = '';
  $params->arg0->referenceNumber = '';
  $params->arg0->changeDate = '0';		//enter date to change move date, otherwise leave as '0'
  $params->arg0->accCodes = '';			//enter any accessorial codes (example: 'HH5HHLHHU')
  $params->arg0->orgDropTime = '0';		//enter military time to specify the start begin time of 2 hour pickup window, otherwise leave as '0'
                
                //coupon code is optional email needs to match what was entered in on rate estimate - if none entered then blank
                //possible values are CK cashiers check, MO money order and CC for credit card
                //uncomment and fill in for credit cards - card types accepted are MC Master card, VI Visa and AX for American Express
                //'cardType'=>'MC','cardNumber'=>'myCard','cardExpirationMonthMM'=>'05','cardExpirationYearYYYY'=>'2013',
                
$results = $soapClient->bookMove($params);

if($results->return->success){
                echo 'success';
                echo ' pro=';
                echo $results->return->proNumber;     
                //echo ' coupon amount=';
                //echo $results->return->couponAmount;
                $pronumber = $results->return->proNumber;
} else {
                echo 'failure ';
                $errors=$results->return->errorMessages;
                print_r($errors);
}

?>
 </body>
</html>