<html>
 <head>
  <title>OD Home Moving Service PHP</title>
 </head>
 <body>
  <h1>Guarantee Move</h1>
<?php

  require_once "common.inc";

  // Pull in common configuration for the services
  $ini = parse_ini_file("configuration.ini");

  // Web Service is protected by BASIC authentication - odfl4me username and password are required
	// note code below is sample code only - we recommend you keep your authentication information secure
	// 401 unauthorized error means username or password were invalid
	// 403 forbidden means the odfl4me user does not have access to bol portions of the site

	$optionsArray=array('login'=>$ini['username'],'password'=>$ini['password']);	//fill in with your credentials
	$soapClient = new SoapClient($ini['wsdlUrl'],$optionsArray);

  // Fill in request fields
  $params = new stdClass();
  $params->arg0 = new stdClass();

  // Pro number returned from booking request
  $params->arg0->proNumber='77741859894';         

  // Spot date for 1st trailer
  $params->arg0->spotDate='2014-03-13';
  // Spot date for 2nd trailer
  //$params->arg0->spotDate2='2014-03-13';

  // Pickup date for 1st trailer
  $params->arg0->pickupDate='2014-03-14';
  // Pickup date for 2nd trailer
  //$params->arg0->pickupDate2='2014-03-14';

  // Delivery date for 1st trailer
  $params->arg0->deliveryDate='2014-03-16';
  // Delivery date for 2nd trailer
  //$params->arg0->deliveryDate2='2014-03-13';

  $results = $soapClient->guaranteeMove($params);
  parseSoapResults($results);

  ?>
 </body>
</html>